From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-libs/proj/
Date: Sun, 2 Jan 2022 08:11:43 +0000 (UTC) [thread overview]
Message-ID: <1641111095.153fd231217514082337fb40439502c07d58b0d7.sam@gentoo> (raw)
commit: 153fd231217514082337fb40439502c07d58b0d7
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 2 08:11:27 2022 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Jan 2 08:11:35 2022 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=153fd231
sci-libs/proj: add 8.2.1
Signed-off-by: Sam James <sam <AT> gentoo.org>
sci-libs/proj/Manifest | 2 ++
sci-libs/proj/proj-8.2.1.ebuild | 63 +++++++++++++++++++++++++++++++++++++++++
2 files changed, 65 insertions(+)
diff --git a/sci-libs/proj/Manifest b/sci-libs/proj/Manifest
index 7a3585b83620..3ade9be75ad8 100644
--- a/sci-libs/proj/Manifest
+++ b/sci-libs/proj/Manifest
@@ -1,5 +1,7 @@
DIST proj-7.2.1.tar.gz 5714666 BLAKE2B 9379ef758b1221b9487f162a27e7afa737e668ad7a13fc7adbd8e1e2c1c4699263d5d3105d03781b423f284205de3c79fc68850b9fba6aa05f1dc553b77b0842 SHA512 59b9b31b0183e620a2f4a25a08620c170773fe4f99e8eca59e9ed6815f43bb379ea21ef71e8f759dbd747855b982657d7503bac3acc542218e0d862105f25324
DIST proj-8.2.0.tar.gz 5880399 BLAKE2B be8be2f1e6b661600479aefa1cd49dfea70085abd37f66a6768cb6cca31c42fcfa43b6d10aca7ac10a5096aba8b8cc1a2a6c744ae767225c38e31b4c69cf7d40 SHA512 e7bcd959deeeb9130325a7bf63a8a0b8de2c55ba573065ca5ea32cf83c2c2643648760cfbe1c3bd1d2a2e74f65ceae4d9d525a537678386260fc2862b3927f5e
+DIST proj-8.2.1.tar.gz 5882136 BLAKE2B c4d80ee1bb1287e2539c9b5c5a5c6305fe8d2fc83526fd29507802b94351f51b016184c07a5e8c1bbf820252a6dfa5b4d55376e5d5566774e3e5e3154857dfa1 SHA512 c6164771fd492be5aa91d8dd2f2794a19b47431078f148356aa70dee96a4589ec5decbab9d8dd756a7bcb322ad94935750c22e0e7fb16e21c8f59ca474e7137e
DIST proj-data-1.7.tar.gz 585899744 BLAKE2B 4d5c81ed64a1ee20b8bd7abf0426ced747e9050d8d7548815365d35884dd3952252a716df9d38986e4bb2e450436df206ce7b51dca77ee35a681e4028b11a54f SHA512 03865e972cc5898b3995582e5a5b8d129609b89ef9a077fa775aaf0b2f4a6002605cd657443840d83ffd5f56233d7d248e3442f7d0efdddfd0f90f2959831310
+DIST proj-data-1.8.tar.gz 586765549 BLAKE2B a54287fa81e2055737c1956bf7f10246ccdd8d9af49fe7e8a01a6f2206c234d2827c4268d901d49bbbfff4caace220aa1867f0088442e4849f9d3cd57f4ca72d SHA512 884425c3bc09a39cb1b611264ccaa17940f4779f4e0d6023306f6b82622cdd0a2e5970a79018d499d323640acb72560789ef127ff4e0c712fa3679e5cfeb34bc
DIST proj-datumgrid-1.8.tar.gz 6604329 BLAKE2B 78df259a811a79457d011b4f675f1a72b6613928bb0083d01bfe65bb4c333628725b300efdb7cf10ebc6f26ff03733886c20f25c7aef80875e81e59bda9fd7d3 SHA512 23153f5b57d210e37cd6e9e0fced23bdabb1c67476e9fb50eb83a68ae066a5c3675822472f5d558d10ddf36ac1d73d538b75304d112a1bfcd8d0bbd26c6481a5
DIST proj-datumgrid-europe-1.6.tar.gz 189057258 BLAKE2B 66daf2341b05d8d5f929f6d67e1913656c2380a3663b4359cb97576ff5954dbea5890862869bb1077f6cde760dada4d9f13201c5b2c29ef3458a8b43089e459c SHA512 463d2575d5ce6f5984e69897c34ef80ec31a77f5ba00a07a5f55e97c3033dbae40b7d17891e5495bc47e6faf917968b1cdb7b3be9b2a4838e3b093b74753c2a8
diff --git a/sci-libs/proj/proj-8.2.1.ebuild b/sci-libs/proj/proj-8.2.1.ebuild
new file mode 100644
index 000000000000..35637f3d5d09
--- /dev/null
+++ b/sci-libs/proj/proj-8.2.1.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+# Check https://proj.org/download.html for latest data tarball
+PROJ_DATA="proj-data-1.8.tar.gz"
+DESCRIPTION="PROJ coordinate transformation software"
+HOMEPAGE="https://proj.org/"
+SRC_URI="https://download.osgeo.org/proj/${P}.tar.gz
+ https://download.osgeo.org/proj/${PROJ_DATA}"
+
+LICENSE="MIT"
+# SONAME in 8.1.1 is actually 23 (in 8.1.0, was 22)
+# ... and now 8.2.0 is back to 22 again.
+# Please increment to 25 on the next SONAME bump, even if it's not
+# going to correspond...
+# It's far less confusing to just increment it again here (so N+1)
+SLOT="0/24"
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
+IUSE="curl test +tiff"
+
+RESTRICT="!test? ( test )"
+
+RDEPEND="dev-db/sqlite:3
+ curl? ( net-misc/curl )
+ tiff? ( media-libs/tiff )"
+DEPEND="${RDEPEND}
+ test? ( dev-cpp/gtest )"
+
+src_unpack() {
+ unpack ${P}.tar.gz
+
+ cd "${S}"/data || die
+ mv README README.DATA || die
+
+ unpack ${PROJ_DATA}
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DDOCDIR="${EPREFIX}"/usr/share/${PF}
+ -DBUILD_TESTING=$(usex test)
+ -DENABLE_CURL=$(usex curl)
+ -DBUILD_PROJSYNC=$(usex curl)
+ -DENABLE_TIFF=$(usex tiff)
+ )
+
+ use test && mycmakeargs+=( -DUSE_EXTERNAL_GTEST=ON )
+
+ cmake_src_configure
+}
+
+src_install() {
+ cmake_src_install
+
+ cd data || die
+ dodoc README.DATA
+
+ find "${ED}" -name '*.la' -type f -delete || die
+}
next reply other threads:[~2022-01-02 8:11 UTC|newest]
Thread overview: 107+ messages / expand[flat|nested] mbox.gz Atom feed top
2022-01-02 8:11 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-10-24 7:45 [gentoo-commits] repo/gentoo:master commit in: sci-libs/proj/ Arthur Zamarin
2024-10-21 18:41 Arthur Zamarin
2024-10-21 18:41 Arthur Zamarin
2024-10-21 18:41 Arthur Zamarin
2023-09-04 7:55 罗百科
2023-06-17 17:07 Andreas Sturmlechner
2023-06-16 22:59 Sam James
2023-06-16 22:59 Sam James
2023-06-16 21:02 Sam James
2023-06-16 20:54 Sam James
2023-06-03 11:15 Arthur Zamarin
2023-06-02 0:25 Sam James
2023-05-15 21:44 Andreas Sturmlechner
2023-04-23 16:39 Sam James
2023-03-10 12:54 Sam James
2023-03-10 12:24 Sam James
2023-03-10 10:06 Sam James
2023-01-13 17:32 Arthur Zamarin
2023-01-05 9:05 Sam James
2023-01-05 9:01 Sam James
2023-01-05 9:01 Sam James
2023-01-05 8:50 Sam James
2022-12-18 8:32 Sam James
2022-12-16 1:40 Sam James
2022-12-04 9:23 WANG Xuerui
2022-12-02 18:12 Arthur Zamarin
2022-12-02 2:51 Sam James
2022-12-02 2:51 Sam James
2022-11-25 8:43 Arthur Zamarin
2022-11-25 8:04 Arthur Zamarin
2022-11-25 7:55 Sam James
2022-11-25 7:51 Sam James
2022-09-01 21:49 Sam James
2022-06-17 0:01 Sam James
2022-05-04 23:28 Sam James
2022-03-06 8:01 Sam James
2022-03-02 9:05 Agostino Sarubbo
2022-03-02 3:44 Sam James
2022-03-02 3:42 Sam James
2022-03-02 3:42 Sam James
2022-03-02 2:19 Sam James
2022-01-02 8:11 Sam James
2021-12-06 15:20 Sam James
2021-12-06 8:03 Agostino Sarubbo
2021-12-06 1:17 Sam James
2021-12-06 1:17 Sam James
2021-12-05 18:28 Sam James
2021-11-03 0:33 Sam James
2021-09-05 5:48 Sam James
2021-08-14 23:15 Marek Szuba
2021-08-14 23:15 Marek Szuba
2021-07-06 7:12 Sam James
2021-07-06 4:12 Sam James
2021-05-07 14:40 Sam James
2021-05-07 14:38 Sam James
2021-03-02 3:49 Sam James
2021-03-02 3:49 Sam James
2021-03-01 23:37 Sam James
2021-02-18 18:57 David Seifert
2021-02-14 2:10 Sam James
2021-02-13 20:33 Sam James
2021-02-13 17:58 Sam James
2021-02-13 17:56 Sam James
2021-01-12 12:02 Sam James
2021-01-06 15:17 Fabian Groffen
2020-12-09 20:25 罗百科
2020-07-20 21:34 Andreas Sturmlechner
2020-07-20 6:42 Agostino Sarubbo
2020-07-19 7:43 Agostino Sarubbo
2020-07-17 18:35 Agostino Sarubbo
2020-07-17 15:09 Agostino Sarubbo
2020-07-17 3:03 Sam James
2020-06-21 16:06 Andreas Sturmlechner
2020-06-21 16:06 Andreas Sturmlechner
2020-06-21 16:06 Andreas Sturmlechner
2020-04-29 10:37 Andrey Grozin
2020-04-13 18:46 Andreas Sturmlechner
2020-03-29 17:56 Mart Raudsepp
2020-02-12 7:51 Agostino Sarubbo
2020-02-11 19:50 Agostino Sarubbo
2020-02-11 19:43 Agostino Sarubbo
2020-02-06 9:04 Sergei Trofimovich
2020-02-03 15:24 Agostino Sarubbo
2020-02-03 13:32 Agostino Sarubbo
2020-02-03 12:30 Agostino Sarubbo
2020-01-30 20:07 Andreas Sturmlechner
2020-01-30 16:31 Andrey Grozin
2020-01-27 9:53 Sergei Trofimovich
2020-01-01 11:01 Andreas Sturmlechner
2019-12-24 16:52 Andrey Grozin
2019-10-20 14:21 Andreas Sturmlechner
2019-10-20 14:21 Andreas Sturmlechner
2019-10-20 14:21 Andreas Sturmlechner
2019-10-20 14:21 Andreas Sturmlechner
2019-10-20 14:21 Andreas Sturmlechner
2019-05-16 19:30 Aaron Bauman
2019-05-06 16:16 Andrey Grozin
2018-05-20 11:13 Mikle Kolyada
2018-04-26 5:20 Matt Turner
2018-04-15 18:58 Thomas Deutschmann
2018-04-15 18:40 Sergei Trofimovich
2018-04-14 17:37 Aaron Bauman
2018-03-28 4:16 Matt Turner
2017-07-20 20:57 Sergei Trofimovich
2017-07-11 8:41 Alexis Ballier
2016-02-27 13:31 Amy Winston
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1641111095.153fd231217514082337fb40439502c07d58b0d7.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox